<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Receipt List</title>
</head>
<body>
  <main>
    <h1>My Receipts</h1>
    <header>
      <nav>
        <ul>
          {% if user.is_authenticated %}
          <li><a href="{% url 'account_list' %}">List Accounts</a></li>
          <li><a href="{% url 'category_list' %}">List Categories</a></li>
          <li><a href="{% url 'home' %}">List Receipts</a></li>
          <li><a href="{% url 'create_account' %}">Create Account</a></li>
          <li><a href="{% url 'create_category' %}">Create Category</a></li>
          <li><a href="{% url 'create_receipt' %}">Create Receipts</a></li>
          <li><a href="{% url 'logout' %}">Logout</a></li>
          {% endif %}

          {% if not user.is_authenticated %}
          <li><a href="{% url 'login' %}">Login</a></li>
          <li><a href="{% url 'signup' %}">Signup</a></li>
          {% endif %}
        </ul>
      </nav>
    </header>

    <table>
      <tr>
        <th>Vendor</th>
        <th>Total</th>
        <th>Tax</th>
        <th>Date</th>
        <th>Category</th>
        <th>Account</th>
      </tr>
      <tbody>
        {% for receipt in receipts%}
        <tr>
          <td>
            {{ receipt.vendor}}
          </td>
          <td>
            {{ receipt.total}}
          </td>
          <td>
            {{ receipt.tax}}
          </td>
          <td>
            {{ receipt.date|date:"m/d/y"}}
          </td>
          <td>
            {{ receipt.category.name}}
          </td>
          <td>
            {{ receipt.account.name}}
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </main>
</body>
</html>
